CompressionKind (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc

## Enum CompressionKind

- java.lang.Object
- - java.lang.Enum<CompressionKind>
  - - org.apache.orc.CompressionKind

- All Implemented Interfaces:
    Serializable, Comparable<CompressionKind>

      public enum CompressionKind
      extends Enum<CompressionKind>

  An enumeration that lists the generic compression algorithms that can be applied to ORC files.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LZ4`
    `LZO`
    `NONE`
    `SNAPPY`
    `ZLIB`
    `ZSTD`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompressionKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CompressionKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CompressionKind NONE

    - #### ZLIB

          public static final CompressionKind ZLIB

    - #### SNAPPY

          public static final CompressionKind SNAPPY

    - #### LZO

          public static final CompressionKind LZO

    - #### LZ4

          public static final CompressionKind LZ4

    - #### ZSTD

          public static final CompressionKind ZSTD

  - ### Method Detail

    - #### values

          public static CompressionKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompressionKind c : CompressionKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompressionKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.